Subject: Re: [radext] #147: Internationalization and draft-ietf-radext-dynamic-discovery

From: Stefan Winter <[email-masked]>
Date: Mon, 25 Feb 2013 15:37:30 +0100

Hi,

> But we do need to be clear about what is expected in the User-Name
> attribute (e.g. U-labels, not A-labels).

The text currently states:

2.3.1.  Input

   For RADIUS Authentication and RADIUS Accounting server discovery,
   input I to the algorithm is the RADIUS User-Name attribute with
   content of the form "user@realm";

I think this is as specific as we can get; the content of that attribute
is unvetted end-user input. The algorithm merely needs to be robust
enough not to choke on invalid inputs.

If the user sent garbage or a format that can not be understood by name
resolution libraries - too bad; the algorithm will terminate with an
empty result (step 4).

If he sent something that was well-formed enough to be resolvable by
name resolution - fine. The algorithm will then yield a target to
forward to, or an empty set if no target exists.

Greetings,

Stefan

> 
>> From: [email-masked]
>> To: [email-masked]
>> Date: Fri, 18 Jan 2013 15:14:20 -0500
>> CC: [email-masked]
>> Subject: Re: [radext] #147: Internationalization and
> draft-ietf-radext-dynamic-discovery
>>
>> >>>>> "Stefan" == Stefan Winter <[email-masked]> writes:
>>
>> Stefan> Hi again,
>> Stefan> It is expected that in most cases, the label used for
>> Stefan> the records is the DNS A-label representation of the literal
>> Stefan> realm name for which the server is the authoritative RADIUS
>> Stefan> server (i.e. the realm name after conversion according to
>> Stefan> section 5 of [RFC5891]).
>>
>> I think that's good.
>> _______________________________________________
>> radext mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/radext
> 
> 
> _______________________________________________
> radext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/radext
> 

-- 
Stefan WINTER
Ingenieur de Recherche
Fondation RESTENA - Réseau Téléinformatique de l'Education Nationale et
de la Recherche
6, rue Richard Coudenhove-Kalergi
L-1359 Luxembourg

Tel: +352 424409 1
Fax: +352 422473

---

From: "radext issue tracker" <[email-masked]>
Date: Mon, 25 Feb 2013 14:38:39 -0000

#147: Internationalization and draft-ietf-radext-dynamic-discovery

Changes (by [email-masked]):

 * status:  new => closed
 * resolution:   => fixed

Comment:

 New text was provided in -06 for both snippets. I believe all issues
 raised in this ticket are addressed by the new text.

-- 
-------------------------------------+-------------------------------------
 Reporter:                           |       Owner:  draft-ietf-radext-
  [email-masked]          |  [email-masked]
     Type:  defect                   |      Status:  closed
 Priority:  critical                 |   Milestone:  milestone1
Component:  dynamic-discovery        |     Version:  1.0
 Severity:  In WG Last Call          |  Resolution:  fixed
 Keywords:                           |
-------------------------------------+-------------------------------------

Ticket URL: <https://wiki.tools.ietf.org/wg/radext/trac/ticket/147#comment:1>
radext <http://tools.ietf.org/radext/>